Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
Class JspTagLibImpl

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.JspTagLibImpl

All Implemented Interfaces:
  groovy.lang.GroovyObject, JspTagLib

    public class JspTagLibImpl

extends Object
implements JspTagLib, groovy.lang.GroovyObject

Constructor Summary
`JspTagLibImpl(String uri, Map tagClasses)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`JspTag` | `getTag(String name)` Obtains a reference to a JspTag instance contained within the library
`String` | `getURI()`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspTagLibImpl

    public JspTagLibImpl(String uri,
                         Map tagClasses)

Method Detail

### getTag

    public JspTag getTag(String name)

  Description copied from interface: `JspTagLib`
  Obtains a reference to a JspTag instance contained within the library

  Specified by:
    `getTag` in interface `JspTagLib`
  Parameters:
    `name` - The name of the tag
  Returns:
    A JspTag instance or null if it doesn't exist

### getURI

    public String getURI()

  Specified by:
    `getURI` in interface `JspTagLib`
  Returns:
    The URI of the tag library

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project